### Type Parameters

### Hierarchy

- RuleOptions

## Index

### Properties

- active
- expression
- isCustom
- literal
- lowerBoundary
- name
- operator
- operators
- propertyName
- type
- upperBoundary

## Properties

### active

active: boolean

- Defined in src/rule/Rule.js:26

Whether the rule is active or not. Used by the `ngeo-rule` component.

### expression

expression: string | number

- Defined in src/rule/Rule.js:27

Deprecated. Use literal instead. Kept for compatibility with saved filters.

### isCustom

isCustom: boolean

- Defined in src/rule/Rule.js:30

Whether the rule is a custom one or not. Defaults to `true`.

### literal

literal: string | number | string[]

- Defined in src/rule/Rule.js:28

The literal of the rule. The literal and boundaries are mutually exclusives.

### lowerBoundary

lowerBoundary: number

- Defined in src/rule/Rule.js:31

The lower boundary of the rule. The literal and boundaries are mutually exclusives.

### name

name: string

- Defined in src/rule/Rule.js:33

The human-readable name of the rule.

### operator

operator: string

- Defined in src/rule/Rule.js:34

The rule operator.

### operators

operators: string[]

- Defined in src/rule/Rule.js:35

The rule operators.

### propertyName

propertyName: string

- Defined in src/rule/Rule.js:36

The property name (a.k.a. the attribute name).

### type

type: string

- Defined in src/rule/Rule.js:37

The type of rule.

### upperBoundary

upperBoundary: number

- Defined in src/rule/Rule.js:38

The upper boundary of the rule. The literal and boundaries are mutually exclusives.

Generated using TypeDoc